#########################################
###### Replication File for Appendix Analyses in "Going Nativist: HoW Nativism and Economic Ideology Interact to Shape Beliefs about Global Trade"
###### Run PRS Replication File_Analyses.1 first!
###### 23 November 2020
##################################

#Run PRS Replication File_Analyses.1 first to load & code data

#To create a log of output:
#sink(file = "./PRS_Routputappendix.txt", append=T)

# ###Appendix Analyses ----------------------------------------------------


# ###Appendix Table 2: Summary Statistics ---------------------------------
### Sample characteristics
sub.dat.us <- subset(data.us, !is.na(data.us$tradeinfohi))

gender.us <- round(round(table(sub.dat.us$male)/sum(table(sub.dat.us$male)), digits=4)*100, digits=4)
age1.us <- round(round(table(sub.dat.us$age1)/sum(table(sub.dat.us$age1)), digits=4)*100, digits=4) # 18-29
age2.us <- round(round(table(sub.dat.us$age2)/sum(table(sub.dat.us$age2)), digits=4)*100, digits=4) # 30-44
age3.us <- round(round(table(sub.dat.us$age3)/sum(table(sub.dat.us$age3)), digits=4)*100, digits=4) # 45-64
age4.us <- round(round(table(sub.dat.us$age4)/sum(table(sub.dat.us$age4)), digits=4)*100, digits=4) # 65 and up
inc1.us <- round(round(table(sub.dat.us$inc30)/sum(table(sub.dat.us$inc30)), digits=4)*100, digits=4) 
inc2.us <- round(round(table(sub.dat.us$inc2nd)/sum(table(sub.dat.us$inc2nd)), digits=4)*100, digits=4) 
inc3.us <- round(round(table(sub.dat.us$inc3rd)/sum(table(sub.dat.us$inc3rd)), digits=4)*100, digits=4) 
inc4.us <- round(round(table(sub.dat.us$inc4th)/sum(table(sub.dat.us$inc4th)), digits=4)*100, digits=4)
incna.us <- round(round(table(sub.dat.us$inc_17)/sum(table(sub.dat.us$inc_17)), digits=4)*100, digits=4)
unigrad.us <- round(round(table(sub.dat.us$university)/sum(table(sub.dat.us$university)), digits=4)*100, digits=4)
white.us <- round(round(table(sub.dat.us$white)/sum(table(sub.dat.us$white)), digits=4)*100, digits=4)
black.us <- round(round(table(sub.dat.us$race_2)/sum(table(sub.dat.us$race_2)), digits=4)*100, digits=4)
hispanic.us <- round(round(table(sub.dat.us$race_3)/sum(table(sub.dat.us$race_3)), digits=4)*100, digits=4)
asian.us <- round(round(table(sub.dat.us$race_4)/sum(table(sub.dat.us$race_4)), digits=4)*100, digits=4)
native.us <- round(round(table(sub.dat.us$race_5)/sum(table(sub.dat.us$race_5)), digits=4)*100, digits=4)
mixed.us <- round(round(table(sub.dat.us$race_6)/sum(table(sub.dat.us$race_6)), digits=4)*100, digits=4)
other.us <- round(round(table(sub.dat.us$race_7 + sub.dat.us$race_8)/sum(table(sub.dat.us$race_7 + sub.dat.us$race_8)), digits=4)*100, digits=4)

sample.us <- rbind(gender.us[2], gender.us[1], age1.us[2], age2.us[2], age3.us[2], age4.us[2], inc1.us[2], inc2.us[2],
                   inc3.us[2], inc4.us[2], incna.us[2], unigrad.us[2], white.us[2], black.us[2], asian.us[2], 
                   mixed.us[2], other.us[2], native.us[2], hispanic.us[2]) 

sub.dat.uk <- subset(data.uk, !is.na(data.uk$tradeinfohi))

gender.uk <- round(round(table(sub.dat.uk$male)/sum(table(sub.dat.uk$male)), digits=4)*100, digits=4)
age1.uk <- round(round(table(sub.dat.uk$age1)/sum(table(sub.dat.uk$age1)), digits=4)*100, digits=4) # 18-29
age2.uk <- round(round(table(sub.dat.uk$age2)/sum(table(sub.dat.uk$age2)), digits=4)*100, digits=4) # 30-44
age3.uk <- round(round(table(sub.dat.uk$age3)/sum(table(sub.dat.uk$age3)), digits=4)*100, digits=4) # 45-64
age4.uk <- round(round(table(sub.dat.uk$age4)/sum(table(sub.dat.uk$age4)), digits=4)*100, digits=4) # 65 and up
inc1.uk <- round(round(table(sub.dat.uk$inc20)/sum(table(sub.dat.uk$inc20)), digits=4)*100, digits=4) 
inc2.uk <- round(round(table(sub.dat.uk$inc2nd)/sum(table(sub.dat.uk$inc2nd)), digits=4)*100, digits=4) 
inc3.uk <- round(round(table(sub.dat.uk$inc3rd)/sum(table(sub.dat.uk$inc3rd)), digits=4)*100, digits=4) 
inc4.uk <- round(round(table(sub.dat.uk$inc4th)/sum(table(sub.dat.uk$inc4th)), digits=4)*100, digits=4)
incna.uk <- round(round(table(sub.dat.uk$inc_17 + sub.dat.uk$inc_18)/sum(table(sub.dat.uk$inc_17 + sub.dat.uk$inc_18)), digits=4)*100, digits=4)
unigrad.uk <- round(round(table(sub.dat.uk$university)/sum(table(sub.dat.uk$university)), digits=4)*100, digits=4)
white.uk <- round(round(table(sub.dat.uk$white)/sum(table(sub.dat.uk$white)), digits=4)*100, digits=4)
black.uk <- round(round(table(sub.dat.uk$eth_11 + sub.dat.uk$eth_12 + sub.dat.uk$eth_13)/sum(table(sub.dat.uk$eth_11 + sub.dat.uk$eth_12 + sub.dat.uk$eth_13)), digits=4)*100, digits=4)
asian.uk <- round(round(table(sub.dat.uk$eth_7 + sub.dat.uk$eth_8 + sub.dat.uk$eth_9 + sub.dat.uk$eth_10 + sub.dat.uk$eth_14)/sum(table(sub.dat.uk$eth_7 + sub.dat.uk$eth_8 + sub.dat.uk$eth_9 + sub.dat.uk$eth_10 + sub.dat.uk$eth_14)), digits=4)*100, digits=4)
mixed.uk <- round(round(table(sub.dat.uk$eth_3 + sub.dat.uk$eth_4 + sub.dat.uk$eth_5 + sub.dat.uk$eth_6)/sum(table(sub.dat.uk$eth_6)), digits=4)*100, digits=4)
other.uk <- round(round(table(sub.dat.uk$eth_15)/sum(table(sub.dat.uk$eth_15)), digits=4)*100, digits=4)


sample.uk <- rbind(gender.uk[2], gender.uk[1], age1.uk[2], age2.uk[2], age3.uk[2], age4.uk[2], inc1.uk[2], inc2.uk[2],
                   inc3.uk[2], inc4.uk[2], incna.uk[2], unigrad.uk[2], white.uk[2], black.uk[2], asian.uk[2], 
                   mixed.uk[2], other.uk[2], 0, 0) 

sample.mat <- cbind(sample.us, sample.uk)
colnames(sample.mat) <- c("U.S.", "U.K.")
rownames(sample.mat) <- c("Female", "Male", "18-29", "30-44", "45-64", "65+", "University graduate", 
                          "Low (<$30,000/20,000)", "Middle ($30,000-49,999/20,000-34,999", "High ($50,000-99,999/35,000-59,999)", 
                          "Very High (>$100,000/70,000)", "Don't know/No answer", "White", "Black", "Asian", "Two or more races", 
                          "Other", "Native American", "Hispanic/Latino(a)")

stargazer(sample.mat)



# ### Section 4: Full results tables --------------------------------------

stargazer(m.glob.us.0, m.glob.us.1, m.glob.us.2, m.glob.uk.0, m.glob.uk.1, m.glob.uk.2, title="Global Benefits", 
          omit.stat=c("LL", "ser", "f"), style="apsr", digits=3, label="tab:globgood",
          covariate.labels=c("Nativism", "Free Market", "Economic Perceptions", "Govt. Regulation Good", 
                             "Right Wing", "Universalism", "Conformity", "White", "Male", "Age",
                             "University", "Full Time", "Part Time", "Student", "Retired", "Other", "Nativism x Free Market"), 
          star.cutoffs=c(0.05, 0.01))

stargazer(m.econ.us.0, m.econ.us.1, m.econ.us.2, m.econ.uk.0, m.econ.uk.1, m.econ.uk.2, title="National Benefits", 
          omit.stat=c("LL", "ser", "f"), style="apsr", digits=3, label="tab:newecongood",
          covariate.labels=c("Nativism", "Free Market", "Economic Perceptions", "Govt. Regulation Good", 
                             "Right Wing", "Universalism", "Conformity", "White", "Male", "Age",
                             "University", "Full Time", "Part Time", "Student", "Retired", "Other", "Nativism x Free Market"), 
          star.cutoffs=c(0.05, 0.01))


# Appendix Table 8: Short Nativism Scales ----------------------------------------
#Create short scales
data.us$w2robustnativism1_2 <- data.us$w2eupan1a+data.us$w2eupan2a
data.us$w2robustnativism1_2r1 <- rescale(data.us$w2robustnativism1_2)

data.uk$w2robustnativism1_2 <- data.uk$w2eupan1a + data.uk$w2eupan2a
data.uk$w2robustnativism1_2r1 <- rescale(data.uk$w2robustnativism1_2)
#data.uk$w2robustnativism1_2_10r1 <- rescale(data.uk$w2robustnativism1_2_10)

#Models 1-6: Global Benefits
#US
#Model 1: Nativism and Free Market
globalus0.5 <- lm(globtr1 ~ w2robustnativism1_2r1 + w1fremkt1r1, data=data.us, weights=weight_w2)
summary(globalus0.5)

#Model 2: Interaction
globalus1.5 <- lm(globtr1 ~ w2robustnativism1_2r1 + w1fremkt1r1 + w1fremkt1r1*w2robustnativism1_2r1, data=data.us, weights=weight_w2)
summary(globalus1.5)

#Model 3: Add demographics, other controls
globalus2.5 <- lm(globtr1 ~ w2robustnativism1_2r1 + w1fremkt1r1 + w2robustnativism1_2r1*w1fremkt1r1 +
                    econsentimentw2 + w1regmkt1r1 + rightwing1 + univ1 + conform1 +
                    white + male + age + university + 
                    workfull + workpart + workstudent + workretired + workother, data=data.us, weights=weight_w2)
summary(globalus2.5)

#UK 
#Model 4: Nativism and Free Market
globaluk0.5 <- lm(globtr1 ~ w2robustnativism1_2r1 + w1fremkt1r1, data=data.uk, weights=W8wave2)
summary(globaluk0.5)

#Model 5: Interaction
globaluk1.5 <- lm(globtr1 ~ w2robustnativism1_2r1 + w1fremkt1r1 + w1fremkt1r1*w2robustnativism1_2r1, data=data.uk, weights=W8wave2)
summary(globaluk1.5)

#Model 6: Add demographics and controls
globaluk2.5 <- lm(globtr1 ~ w2robustnativism1_2r1 + w1fremkt1r1 + w2robustnativism1_2r1*w1fremkt1r1 +
                    econsentimentw2 + w1regmkt1r1 + rightwing1 + univ1 + conform1 +
                    white + male + age + university + 
                    workfull + workpart + workstudent + workretired + workother, data=data.uk, weight=W8wave2)
summary(globaluk2.5)

#Models 7-12: National Benefits
#US
#Model 7: Nativism and Free Market
nationalus0.5 <- lm(bustr1 ~ w2robustnativism1_2r1 + w1fremkt1r1, data=data.us, weights=weight_w2)
summary(nationalus0.5)

#Model 8: Interaction
nationalus1.5 <- lm(bustr1 ~ w2robustnativism1_2r1 + w1fremkt1r1 + w1fremkt1r1*w2robustnativism1_2r1, data=data.us, weights=weight_w2)
summary(nationalus1.5)

#Model 9: Adding Demographics and Controls
nationalus2.5 <- lm(bustr1 ~ w2robustnativism1_2r1 + w1fremkt1r1 + w2robustnativism1_2r1*w1fremkt1r1 +
                      econsentimentw2 + w1regmkt1r1 + rightwing1 + univ1 + conform1 +
                      white + male + age + university + 
                      workfull + workpart + workstudent + workretired + workother, data=data.us, weights=weight_w2)
summary(nationalus2.5)

#UK 
#Model 10: Nativism and Free Market
nationaluk0.5  <- lm(bustr1 ~ w2robustnativism1_2r1 + w1fremkt1r1, data=data.uk, weights=W8wave2)
summary(nationaluk0.5)

#Model 11: Interaction
nationaluk1.5 <- lm(bustr1 ~ w2robustnativism1_2r1 + w1fremkt1r1 + w1fremkt1r1*w2robustnativism1_2r1, data=data.uk, weights=W8wave2)
summary(nationaluk1.5)

#Model 12: Adding Demographics and Controls
nationaluk2.5 <- lm(bustr1 ~ w2robustnativism1_2r1 + w1fremkt1r1 + w2robustnativism1_2r1*w1fremkt1r1 +
                      econsentimentw2 + w1regmkt1r1 + rightwing1 + univ1 + conform1 +
                      white + male + age + university +  
                      workfull + workpart + workstudent + workretired + workother, data=data.uk, weight=W8wave2)
summary(nationaluk2.5)

#Creates Appendix Table 8: 
stargazer(globalus0.5, globalus1.5, globalus2.5, globaluk0.5, globaluk1.5, globaluk2.5, nationalus0.5, nationalus1.5, nationalus2.5, nationaluk0.5, nationaluk1.5, nationaluk2.5,
          title="Nativism and Attitudes toward Economic Globalization (2-item scale)", 
          omit.stat=c("LL", "ser", "f"), style="apsr", digits=3, label="tab:robustnatism",
          covariate.labels=c("Nativism", "Free Market", "Economic Perceptions", "Govt. Regulation Good", 
                             "Right Wing", "Universalism", "Conformity", "White", "Male", "Age",
                             "University", "Full Time", "Part Time", "Student", "Retired", "Other", "Nativism x Free Market"), 
          star.cutoffs=c(0.05, 0.01))


# ### Appendix Table 9: Does Nativism Moderate the Effect of the Macroeconomic Message? --------
#Model 1: US
mod.nat.1.us <- lm(supptrade1 ~ tradeinfohi + natism1 + natism1*tradeinfohi, data=data.us)
summary(mod.nat.1.us)
#Model 2: UK
mod.nat.1.uk <- lm(supptrade1 ~ tradeinfohi + natism1 + natism1*tradeinfohi, data=data.uk)
summary(mod.nat.1.uk)

#Model 3: US
mod.educ.2.us <- lm(supptrade1 ~ tradeinfohi + university + university*tradeinfohi, data=data.us)
summary(mod.educ.2.us)
#Model 4: UK
mod.educ.2.uk <- lm(supptrade1 ~ tradeinfohi + university + university*tradeinfohi, data=data.uk)
summary(mod.educ.2.uk)

#Creates Appendix Table 9:
stargazer( mod.nat.1.us, mod.nat.1.uk, mod.educ.2.us, mod.educ.2.uk, title="Does Nativism Moderate the Effect of Information?", omit.stat=c("LL", "ser", "f"), style="apsr", digits=3, label="tab:suppreg1",
           covariate.labels=c("Information Treatment", "Nativism", "Nativism x Treatment", 
                              "University", "University x Treatment"), 
           star.cutoffs=c(0.05, 0.01))


# Appendix Table 10: Ordered Logit ----------------------------------------
#Coerce DV to factor
data.us$supptrade.f <- factor(data.us$supptrade)
is.factor(data.us$supptrade.f)
data.uk$supptrade.f <- factor(data.uk$supptrade)
is.factor(data.uk$supptrade.f)

#Model 1: US
mod.olog.1.us <- polr(supptrade.f ~ tradeinfohi + natism1 + tradeinfohi*natism1, data=data.us, Hess=TRUE)
summary(mod.olog.1.us)
#Model 2: UK
mod.olog.1.uk <- polr(supptrade.f ~ tradeinfohi + natism1 + tradeinfohi*natism1, data=data.uk, Hess=TRUE)
summary(mod.olog.1.uk)
#Model 3: US
mod.olog.2.us <- polr(supptrade.f ~ tradeinfohi + university + tradeinfohi*university, data=data.us, Hess=TRUE)
summary(mod.olog.2.us)
#Model 4: UK
mod.olog.2.uk <- polr(supptrade.f ~ tradeinfohi + university + tradeinfohi*university, data=data.uk, Hess=TRUE)
summary(mod.olog.2.uk)

#Creates Appendix Table 10
stargazer(mod.olog.1.us, mod.olog.1.uk, mod.olog.2.us, mod.olog.2.uk,
          title="Ordered Logit Results", omit.stat=c("LL", "ser", "f"), style="apsr", digits=3, label="tab:ologitsupp",
          covariate.labels=c("Treatment", "Nativism", "Nativism x Treatment", 
                             "University", "University x Treatment"), 
          star.cutoffs=c(0.05, 0.01))





# ###Appendix Table 11: Economic Sentiment, Treatment, and Support --------
#Economic Perceptions
#Model 1: US
mod.econ.us <- lm(supptrade1 ~ tradeinfohi + econsentimentw2 + tradeinfohi*econsentimentw2, data=data.us)
summary(mod.econ.us)
#Model 2: UK
mod.econ.uk <- lm(supptrade1 ~ tradeinfohi + econsentimentw2 + tradeinfohi*econsentimentw2, data=data.uk)
summary(mod.econ.uk)

#Creates Table 11:
stargazer(mod.econ.us, mod.econ.uk, title="Economic Sentiment, Treatment, and Support for Free Trade", 
          omit.stat=c("LL", "ser", "f"), style="apsr", digits=3, label="tab:econreg",
          covariate.labels=c("Treatment", "Economy Better", "Economy Better x Treatment"), 
          star.cutoffs=c(0.05, 0.01))


# ###Appendix Table 12: Partisanship, Ideology, and Support for Fr --------
#Rescale Ideology, 0-10 scale (10=more right)
data.us$w2wing1a1 <- rescale(data.us$w2wing1a)
data.uk$w2wing1a1 <-rescale(data.uk$w2wing1a)

#Model 1: Ideology, US
mod.right.us <- lm(supptrade1 ~ tradeinfohi + w2wing1a1 + w2wing1a1*tradeinfohi, data=data.us)
summary(mod.right.us)
#Model 2: Ideology, UK
mod.right.uk <- lm(supptrade1 ~ tradeinfohi + w2wing1a1 + w2wing1a1*tradeinfohi, data=data.uk)
summary(mod.right.uk)

#Model 3: Party, US
data.us$partyright <- data.us$repub
mod.pid.us <- lm(supptrade1 ~ tradeinfohi + partyright + partyright*tradeinfohi, data=data.us)
summary(mod.pid.us)
#Model 4: Party, UK
mod.pid.uk <- lm(supptrade1 ~ tradeinfohi + partyright + partyright*tradeinfohi, data=data.uk)
summary(mod.pid.uk)

#Model 5: Party with UKIP on right, UK
mod.pid.uk.2 <- lm(supptrade1 ~ tradeinfohi + partyright2 + partyright2*tradeinfohi, data=data.uk)
summary(mod.pid.uk.2)

#Creates Table 12: 
stargazer(mod.right.us, mod.right.uk, mod.pid.us, mod.pid.uk, mod.pid.uk.2, title="Partisanship, Ideology, and Support for Free Trade", 
          omit.stat=c("LL", "ser", "f"), style="apsr", digits=3, label="tab:regpidideo",
          covariate.labels=c("Treatment", "Ideology (right)", "Treatment x Ideology"), 
          star.cutoffs=c(0.05, 0.01))




#Uncomment if you are creating a log
#sink()